function getGenderFromName(name) {
    const lowerCaseName = name.toLowerCase().trim();

    const femaleNames = [
        'vijay lakshmi', 'vaishali', 'sakshi', 'reema', 'chunmun', 'zobiya',
        'aditi', 'anita', 'inaya', 'palak', 'priya', 'riya', 'meena', 'roshni',
        'zoya', 'aliya', 'nori', 'nazma', 'sireen', 'nigar', 'inayat', 'namra',
        'sakina', 'sma', 'evelyn', 'harper', 'amelia', 'charlotte', 'mia',
        'isabella', 'ava', 'emma', 'olivia', 'sophia', 'tashi', 'ngawang',
        'pema', 'dolma', 'yangchen', 'sonam', 'karma', 'sita','bebo',
    ];

    const maleNames = [
        'raz', 'ubaid', 'satyam', 'zunaid', 'zubair', 'umar', 'bogo',
        'veer bhadra', 'sagar', 'sumit', 'ravikant', 'ravi', 'shivam',
        'rajesh', 'naushad', 'himanshu', 'arfaat', 'khushnaseeb', 'aman', 'gopal', 'himanshu', 'vishnu', 'rohit', 'rinku', 'firoz', 'sonu', 'saif', 'saidd', 'ali', 'arfat', 'zubair', 'timothy', 'anthony', 'christopher', 'john', 'michael', 'david', 'joseph', 'andrew', 'matthew',
    ];

    const inputWords = lowerCaseName.split(' ');

    for (const inputWord of inputWords) {
        for (const femaleName of femaleNames) {
            if (femaleName.split(' ').includes(inputWord)) {
                return 'Female';
            }
        }

        for (const maleName of maleNames) {
            if (maleName.split(' ').includes(inputWord)) {
                return 'Male';
            }
        }
    }

    return 'Unknown';
}